Retrieves the db note with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ca2c958f-4bb1-4da2-8b7b-e4198de9e4eb",
"db_table_id": "9d99b5de-ae6f-4d74-a4b7-8120145383f0",
"db_table_name": "sample string 3",
"id_in_table": "07c0c523-d894-4c26-8fbf-0e4d8864d209",
"user_id": "6f543413-54a2-4e9f-a501-eb6255e0887e",
"user_code": "sample string 6",
"date_add": "2026-07-15T23:45:45.8061088+00:00",
"dateutc_add": "2026-07-15T23:45:45.8061088+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-07-15T23:45:45.8061088+00:00"
}